Bug 1014655 - JavaDoc should clearly indicated public API/SPI
JavaDoc should clearly indicated public API/SPI
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation, Build (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR2
: 6.2.1
Assigned To: Misha H. Ali
Martin Gencur
:
Depends On:
Blocks: 951339 1067724 1074359
  Show dependency treegraph
 
Reported: 2013-10-02 09:39 EDT by Tristan Tarrant
Modified: 2014-04-03 23:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1067724 (view as bug list)
Environment:
Last Closed: 2014-04-03 23:56:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4074 Major Resolved Only include public API in JavaDoc 2016-06-21 22:43 EDT

  None (edit)
Description Tristan Tarrant 2013-10-02 09:39:53 EDT
Currently the Javadocs include all classes/interfaces without distinction. We should clearly mark those that are part of the public API/SPI.
Comment 2 Misha H. Ali 2013-10-02 20:00:02 EDT
Blocks Docs API Documentation update bug.

Added myself as docs contact for this bug.
Comment 3 Misha H. Ali 2014-01-12 19:13:12 EST
Tracking this issue in this bug.

Tristan, according to Martin, the non-public stuff is still in the API docs payload. Adding Martin and Tristan to this bug to track this issue.
Comment 4 Misha H. Ali 2014-01-13 20:41:45 EST
As part of the API Docs review, Martin please confirm the non-public APIs are not in the docs anymore.
Comment 5 Martin Gencur 2014-01-14 04:42:03 EST
Misha, this will not be fixed for JDG 6.2 Beta. It needs more effort on productization side.
Comment 8 Adrian Nistor 2014-03-06 11:46:47 EST
I've integrated the PR https://github.com/infinispan/jdg/pull/31 but I realise now this fixes the issues only partially. Let's not close this yet.
Comment 9 Misha H. Ali 2014-03-06 22:17:15 EST
This bug includes the docs part of this requirement so please don't close it off till we can get the javadocs in the docs wrapper and staged on the docs server.
Comment 10 Misha H. Ali 2014-03-12 00:05:04 EDT
Hi Martin,

When your team is done testing CR1, would you mind posting here about whether this requirement was met in the included javadocs? If do, we can just close off this bug.
Comment 11 Martin Gencur 2014-03-20 04:37:53 EDT
I've checked the docs included in the library distribution. The docs are mostly correct but I have a few comments:

The following classes/interfaces are IMO redundant and should not be public:
ClearOperation
ClearOperation.Externalizer
GroupManager
GroupManagerImpl
MarshallUtil
Operation
PutOperation
PutOperation.Externalizer
RemoveOperation
RemoveOperation.Externalizer

I'm missing in the docs interfaces from package org.infinispan.persistence.spi,  such as:
CacheLoader, CacheWriter, ExternalStore, AdvancedCacheLoader, etc.
Comment 12 Misha H. Ali 2014-03-23 19:43:35 EDT
Based on Martin's comments, this should probably be back on ASSIGNED.

Updated this and docs API Documentation bug to ASSIGNED to indicate further action required.

Note You need to log in before you can comment on or make changes to this bug.